--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Lookup a Resource from the Collection by offset
- !ruby/struct:SM::Flow::P 
  body: "@param [Integer] offset"
- !ruby/struct:SM::Flow::VERB 
  body: "  offset of the Resource in the Collection\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Resource]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Resource which matches the supplied offset\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [nil]"
- !ruby/struct:SM::Flow::VERB 
  body: "  No Resource matches the supplied offset\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#at
is_singleton: false
name: at
params: (offset)
visibility: public
